Class(function(extend, using, self){
    extend("pages/page");
    using("lib/jquery.min.js");

    self.info_ref = null;
    var showNowSelect = function(id) {
        for (var i = 1; i < 5; i++) {
            $("#skin_now_" + i).hide();
        };
        $("#skin_now_" + id).show();
    }

    self.initEvent = function(){
        var that = this;
        /*点击选中皮肤*/
        $(document).delegate(".box", "click", function () {
            var val = parseInt($(this).find(".action").attr("val"));
            that.info_ref.setClothes(val);
            showNowSelect(val);
        });

        /*点击关闭窗口按钮*/
        $(document).delegate(".box", "mousemove", function () {
            $(".theme-skin").find(".desc").hide();
            $(this).find(".desc").show();
        });
    }

    self.func(function(curData){
        this.info_ref = curData;//changeClothesLogic;
        var index = parseInt(this.info_ref.getClothes());
        showNowSelect(index);


        this.sup().constructor(curData);
        this.initEvent();
    })




})
